.summary {
  display: flex;
  gap: 20px;
  justify-content: space-around;
  padding: 20px;
  background-color: #ffffff;
  border-radius: 10px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
}

.summary-item {
  text-align: center;
  padding: 10px;
  background-color: #f1f3f5;
  border-radius: 10px;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);
  transition: transform 0.2s;
}

.summary-item:hover {
  transform: scale(1.05);
}

.summary-item h3 {
  margin-bottom: 10px;
  font-size: 1.2em;
  color: #343a40;
}

.summary-item p {
  font-size: 1.5em;
  font-weight: bold;
  color: #007bff;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  justify-content: center;
  padding-bottom: 20px;
}

.flex-item {
  background-color: #fff;
  padding: 30px;
  border-radius: 15px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
  flex: 1 1 calc(50% - 40px);
  box-sizing: border-box;
  min-width: 320px;
  transition: transform 0.2s;
}

@media (max-width: 768px) {
  .flex-container {
    flex-direction: column;
    gap: 20px;
  }

  .flex-item {
    flex: 1 1 100%;
    min-width: 100%;
  }

  .chart-container {
    width: 100%;
    height: 300px;
  }
}

.flex-item:hover {
  transform: translateY(-5px);
}

.chart-container {
  width: 100%;
  height: 400px;
}

.summary-item-link {
  text-decoration: none;
}

.summary-item {
  cursor: pointer !important;
  text-decoration: none;
}

.summary-item:hover {
  background-color: #f5f5f5;
}

.chart-container {
  width: 100%;
  min-width: 800px;
  height: 400px;
  overflow-x: auto;
}

.flex-item {
  width: 100%;
  overflow: hidden;
}

.summary-pie {
  margin-bottom: 40px;
  padding: 20px;
  background-color: #f8f9fa;
  border-radius: 10px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.05);
}

.chart-container {
  width: 100%;
  height: 400px;
  min-width: 300px;
}

.side-by-side-charts {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

.flex-item {
  flex: 1;
  min-width: 45%;
  background-color: #fff;
  padding: 30px;
  border-radius: 15px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
  transition: transform 0.2s;
}

.chart-container {
  width: 100%;
  height: 400px;
}
